hpp-corbaserver: hpp::corbaServer::impl::Obstacle Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
hpp::corbaServer::impl::Obstacle Class Reference

`#include <obstacle.impl.hh>`

Inheritance diagram for hpp::corbaServer::impl::Obstacle:
[legend]
Collaboration diagram for hpp::corbaServer::impl::Obstacle:
[legend]

## Public Member Functions
| Obstacle ()
void | setServer (ServerPlugin *server)
virtual void | loadObstacleModel (const char *filename, const char *prefix)
virtual void | loadObstacleModelFromString (const char *urdfString, const char *prefix)
virtual void | loadPointCloudFromFilename (const char *objectName, const char *filename)
virtual void | loadPointCloudFromPoints (const char *objectName, const CORBA::Double resolution, const floatSeqSeq &points)
virtual void | loadPolyhedron (const char *name, const char *filename)
virtual void | removeObstacleFromJoint (const char *objectName, const char *jointName, Boolean collision, Boolean distance)
virtual void | removeObstacle (const char *objectName)
virtual void | cutObstacle (const char *objectName, const floatSeq &aabb)
virtual void | addObstacle (const char *polyhedronName, Boolean collision, Boolean distance)
virtual void | moveObstacle (const char *polyName, const Transform_ cfg)
virtual void | getObstaclePosition (const char *objectName, Transform_ cfg)
virtual Names_t * | getObstacleNames (bool collision, bool distance)
virtual void | createPolyhedron (const char *polyhedronName)
virtual void | createBox (const char *boxName, Double x, Double y, Double z)
virtual void | createSphere (const char *name, Double radius)
virtual void | createCylinder (const char *name, Double radius, Double length)
virtual ULong | addPoint (const char *polyhedronName, Double x, Double y, Double z)
virtual ULong | addTriangle (const char *polyhedronName, ULong pt1, ULong pt2, ULong pt3)

## Constructor & Destructor Documentation

## ◆ Obstacle()

hpp::corbaServer::impl::Obstacle::Obstacle | ( |  | ) |

## Member Function Documentation

## ◆ addObstacle()

virtual void hpp::corbaServer::impl::Obstacle::addObstacle | ( | const char * | polyhedronName,
|  | Boolean | collision,
|  | Boolean | distance
| ) |  |
| virtual

## ◆ addPoint()

virtual ULong hpp::corbaServer::impl::Obstacle::addPoint | ( | const char * | polyhedronName,
|  | Double | x,
|  | Double | y,
|  | Double | z
| ) |  |
| virtual

## ◆ addTriangle()

virtual ULong hpp::corbaServer::impl::Obstacle::addTriangle | ( | const char * | polyhedronName,
|  | ULong | pt1,
|  | ULong | pt2,
|  | ULong | pt3
| ) |  |
| virtual

## ◆ createBox()

virtual void hpp::corbaServer::impl::Obstacle::createBox | ( | const char * | boxName,
|  | Double | x,
|  | Double | y,
|  | Double | z
| ) |  |
| virtual

## ◆ createCylinder()

virtual void hpp::corbaServer::impl::Obstacle::createCylinder | ( | const char * | name,
|  | Double | radius,
|  | Double | length
| ) |  |
| virtual

## ◆ createPolyhedron()

virtual void hpp::corbaServer::impl::Obstacle::createPolyhedron | ( | const char * | polyhedronName | ) |
| virtual

## ◆ createSphere()

virtual void hpp::corbaServer::impl::Obstacle::createSphere | ( | const char * | name,
|  | Double | radius
| ) |  |
| virtual

## ◆ cutObstacle()

virtual void hpp::corbaServer::impl::Obstacle::cutObstacle | ( | const char * | objectName,
|  | const floatSeq & | aabb
| ) |  |
| virtual

## ◆ getObstacleNames()

virtual Names_t* hpp::corbaServer::impl::Obstacle::getObstacleNames | ( | bool | collision,
|  | bool | distance
| ) |  |
| virtual

## ◆ getObstaclePosition()

virtual void hpp::corbaServer::impl::Obstacle::getObstaclePosition | ( | const char * | objectName,
|  | Transform_ | cfg
| ) |  |
| virtual

## ◆ loadObstacleModel()

virtual void hpp::corbaServer::impl::Obstacle::loadObstacleModel | ( | const char * | filename,
|  | const char * | prefix
| ) |  |
| virtual

## ◆ loadObstacleModelFromString()

virtual void hpp::corbaServer::impl::Obstacle::loadObstacleModelFromString | ( | const char * | urdfString,
|  | const char * | prefix
| ) |  |
| virtual

## ◆ loadPointCloudFromFilename()

virtual void hpp::corbaServer::impl::Obstacle::loadPointCloudFromFilename | ( | const char * | objectName,
|  | const char * | filename
| ) |  |
| virtual

## ◆ loadPointCloudFromPoints()

virtual void hpp::corbaServer::impl::Obstacle::loadPointCloudFromPoints | ( | const char * | objectName,
|  | const CORBA::Double | resolution,
|  | const floatSeqSeq & | points
| ) |  |
| virtual

## ◆ loadPolyhedron()

virtual void hpp::corbaServer::impl::Obstacle::loadPolyhedron | ( | const char * | name,
|  | const char * | filename
| ) |  |
| virtual

## ◆ moveObstacle()

virtual void hpp::corbaServer::impl::Obstacle::moveObstacle | ( | const char * | polyName,
|  | const Transform_ | cfg
| ) |  |
| virtual

## ◆ removeObstacle()

virtual void hpp::corbaServer::impl::Obstacle::removeObstacle | ( | const char * | objectName | ) |
| virtual

## ◆ removeObstacleFromJoint()

virtual void hpp::corbaServer::impl::Obstacle::removeObstacleFromJoint | ( | const char * | objectName,
|  | const char * | jointName,
|  | Boolean | collision,
|  | Boolean | distance
| ) |  |
| virtual

## ◆ setServer()

void hpp::corbaServer::impl::Obstacle::setServer | ( | ServerPlugin * | server | ) |
| inline

The documentation for this class was generated from the following file:

- src/obstacle.impl.hh